<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/cabecalho.php"; //carrega arquivo de cabeçalho
include "includes/pg_begin.php";     //carrega arquivo de conexão
?>

<?
//recupera dados do formulario
$sc_operacao  = trim(pg_escape_string($_POST['form_operacao']));

$aux_codigocomposto = trim(pg_escape_string($_POST['form_seriehistoricatermo']));
if ($aux_codigocomposto == "") {
	$aux_codigocomposto = trim(pg_escape_string($_GET['form_seriehistoricatermo']));
}

// decodifica  codigocomposto com termo;granularidade;periodicidade;valorperiodo;valorgranularidade;valortermo

$aux_parametros        = explode (";", $aux_codigocomposto);
$sc_termo              = $aux_parametros[0];
$sc_granularidade      = $aux_parametros[1];
$sc_periodicidade      = $aux_parametros[2];
$sc_valorperiodo       = $aux_parametros[3];
$sc_valorgranularidade = $aux_parametros[4];
$sc_valortermo         = $aux_parametros[5];

//recupera dados do formulario anterior usados para busca
$sc_tema_busca  = trim(pg_escape_string($_POST['form_tema_busca']));
$sc_termo_busca = trim(pg_escape_string($_POST['form_termo_busca']));

// comando básico
$sql="
	select *
	from
		termo TT,
		termoindicador TI, indicador I,
		tema T,
		granularidade G, termogranularidade TG, 
		periodicidade P, termoperiodicidade TP
	where TT.codigotermo = TI.codigotermo
	and TI.codigoindicador = I.codigoindicador
	and I.codigotema = T.codigotema
	and TT.codigotermo = TG.codigotermo
	and TG.codigogranularidade = G.codigogranularidade
	and TT.codigotermo = TP.codigotermo
	and TP.codigoperiodicidade = P.codigoperiodicidade
	and TT.codigotermo = '" . $sc_termo . "'  
	and G.codigogranularidade = '" . $sc_granularidade . "'
	and P.codigoperiodicidade = " . $sc_periodicidade;
// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}

// mostra dados do item da série histórica, de acordo com a operação (read-only ou não)

?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
	<? include "includes/barra_superior.php"; //carrega a barra superior da página ?>
	<!-- FORMULÁRIO -->
	<form name="New_Form" action="termosAtualizacao.php" method="POST" enctype="application/x-www-form-urlencoded">

  <tr>
    <td>
      <table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
			<?
			// recupera a tupla selecionada
			$nt=pg_fetch_array($result);

			//atribui valor a variaveis locais para db
			$db_nometermo           = trim(pg_escape_string($nt['nometermo']));
			$db_unidadetermo        = trim(pg_escape_string($nt['unidadetermo']));
			$db_nomegranularidade   = ucfirst(trim(pg_escape_string($nt['nomegranularidade'])));
			$db_nomeperiodicidade   = ucfirst (trim(pg_escape_string($nt['nomeperiodicidade'])));
	
			?>
			<td colspan="3">
				<div align="center" class="tituloFundo">
					<? echo $sc_termo . ' - ' . $db_nometermo; ?>
				</div>
			</td>
        </tr>

        <tr>
		<td bgcolor="#EFEFEF" valign="top">
			<?
		
			// verifica que atributos nao têm valor definido
			if ($db_definicaotermo == "") {
				$db_definicaotermo = '-';
			}

			?>
			<br />
			<div align="center">
			<table id="ficha" width="400">
				<tr>
					<th>Granularidade</th>
					<td><? echo $db_nomegranularidade; ?></td>
					<td>
						<?
						switch ($sc_operacao) {
							case "Incluir":
								if ($sc_granularidade == 1) { // é município
									echo "\n" . '<input type="hidden" name="form_valorgranularidade" value="municipio">';
								} else {
									echo "\n" . '<input name="form_valorgranularidade">';
								}
								break;
							case "Atualizar":
								if ($sc_granularidade == 1) { // é município
									echo "\n" . '<input type="hidden" name="form_valorgranularidade" value="' . $sc_valorgranularidade . '">';
								} else {
									echo "\n" . '<input name="form_valorgranularidade" value="' . $sc_valorgranularidade . '">';
								}
								echo "\n" . '<input type ="hidden" name="form_valorgranularidadeanterior" value="' . $sc_valorgranularidade . '">';
								break;
							case "Remover":
								echo "\n" . '<input type ="hidden" name="form_valorgranularidade" value="' . $sc_valorgranularidade . '">';
								echo $sc_valorgranularidade;
								break;
						}
						?>
					</td>
				</tr>
				<tr>
					<th>Periodicidade</th>
					<td><? echo $db_nomeperiodicidade; ?></td>
					<td>
						<?
						switch ($sc_operacao) {
							case "Incluir":
								echo "\n" . '<input name="form_valorperiodo">';
								break;
							case "Atualizar":
								echo "\n" . '<input name="form_valorperiodo" value="' . $sc_valorperiodo . '">';
								echo "\n" . '<input type ="hidden" name="form_valorperiodoanterior" value="' . $sc_valorperiodo . '">';
								break;
							case "Remover":
								echo "\n" . '<input type ="hidden" name="form_valorperiodo" value="' . $sc_valorperiodo . '">';
								echo $sc_valorperiodo;
								break;
						}
						?>
					</td>
				</tr>
				<tr>
					<th>Valor</th>
					<td>&nbsp;</td>
					<td>
						<?
						switch ($sc_operacao) {
							case "Incluir":
								echo "\n" . '<input name="form_valortermo">';
								echo '<br />use ponto para separar decimais (ex: 0.13)';
								break;
							case "Atualizar":
								echo "\n" . '<input name="form_valortermo" value="' . $sc_valortermo . '">';
								echo '<br />use ponto para separar decimais (ex: 0.13)';
								break;
							case "Remover":
								echo $sc_valortermo;
								break;
						}
						?>
					</td>
				</tr>
			</table>
			</div>
		</td>
		
        <tr>
          <td  colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" bgcolor="#EFEFEF">

		<?
		// cria codigocomposto com termo;granularidade;periodicidade
		$aux_parametros = array ($sc_termo, $sc_granularidade, $sc_periodicidade);
		$aux_codigocomposto = join (';', $aux_parametros);
		// preparar os campos "escondidos" para permitir a volta ao resultado da pesquisa
		echo '<input type="hidden" name="form_termo"       value="' . $aux_codigocomposto .'">' . "\n";
		echo '<input type="hidden" name="form_tema_busca"  value="' . $sc_tema_busca      .'">' . "\n";
		echo '<input type="hidden" name="form_termo_busca" value="' . $sc_termo_busca     .'">' . "\n";
		?>
            <div align="center">
				<input
					name="form_submitBtn"
					type="submit"
					class="botao"
					tabindex="4"
					value="<? echo $sc_operacao; ?>">
				<input
					name="submitBtn"
					type="submit"
					class="botao"
					tabindex="4"
					value="<< voltar">
            </div>
		  </td>
		<!-- FORMULÁRIO -->	</form>
		
        </tr>
        <tr>
          <td colspan="3" bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td colspan="3" bgcolor="#E77817" height="10"></td>
        </tr>
      </table>
    </td>
  </tr>
</table>
</body>
</html>

<?
// comando de atualização: INSERT, UPDATE ou DELETE >> ou será depois?
// $sql="";
// debug
// echo $sql;
// exit;

// $result=pg_query($dbh, $sql);

// if (!$result) {
//    header('location:index.php?msn=4');
//   exit;
// }

//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>

<? include "includes/rodape.php"; ?>
